The ESAPI function for the TPM2_HierarchyControl command.
Enhanced System API » Esys TPM Commands

## Functions

TSS2_RC | Esys_HierarchyControl_Finish (ESYS_CONTEXT *esysContext)

## Detailed Description

ESAPI function to invoke the TPM2_HierarchyControl command either as a one-call or in an asynchronous manner.

## Function Documentation

## Esys_HierarchyControl_Finish()

TSS2_RC Esys_HierarchyControl_Finish | ( | ESYS_CONTEXT * | esysContext | ) |

Asynchronous finish function for TPM2_HierarchyControl

This function returns the results of a TPM2_HierarchyControl command invoked via Esys_HierarchyControl_Finish. All non-simple output parameters are allocated by the function's implementation. NULL can be passed for every output parameter if the value is not required.

Parameters

  [in,out] | esysContext | The ESYS_CONTEXT.

Return values

  TSS2_RC_SUCCESS | on success
  ESYS_RC_SUCCESS | if the function call was a success.
  TSS2_ESYS_RC_BAD_REFERENCE | if the esysContext or required input pointers or required output handle references are NULL.
  TSS2_ESYS_RC_BAD_CONTEXT | if esysContext corruption is detected.
  TSS2_ESYS_RC_MEMORY | if the ESAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_ESYS_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_ESYS_RC_TRY_AGAIN | if the timeout counter expires before the TPM response is received.
  TSS2_ESYS_RC_INSUFFICIENT_RESPONSE | if the TPM's response does not at least contain the tag, response length, and response code.
  TSS2_ESYS_RC_RSP_AUTH_FAILED | if the response HMAC from the TPM did not verify.
  TSS2_ESYS_RC_MALFORMED_RESPONSE | if the TPM's response is corrupted.
  TSS2_RCs | produced by lower layers of the software stack may be returned to the caller unaltered unless handled internally.